@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'dashboard'"
          [sqtmCoreAnchorCollapsePanel]="'dashboard'"
          [nzHeader]="dashboardTitle"
          class="anchor"
        >
          @if (componentData.statistics) {
            <sqtm-app-test-case-statistic-panel
              [statistics]="componentData.statistics"
              [scope]="componentData.scope"
              [scopeKind]="'project'"
            >
            </sqtm-app-test-case-statistic-panel>
          }
          @if (componentData.dashboard) {
            <div style="height: 84vh">
              @if (
                componentData.dashboard.chartBindings.length !== 0 ||
                componentData.dashboard.reportBindings.length !== 0
              ) {
                <sqtm-app-custom-dashboard
                  [chartBindings]="getChartBindings(componentData.dashboard)"
                ></sqtm-app-custom-dashboard>
              } @else {
                <div style="height: 84vh; text-align: center">
                  <span style="font-weight: 600">
                    {{
                      'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                        | translate
                    }}
                  </span>
                </div>
              }
            </div>
          }
          @if (!componentData.dashboard && !componentData.statistics) {
            <div style="height: 84vh; text-align: center">
              <span style="font-weight: 600">
                {{
                  'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                    | translate
                }}
              </span>
            </div>
          }
          <ng-template #dashboardTitle>
            <div
              class="flex-row full-width"
              style="overflow: hidden; justify-content: space-between"
            >
              <div
                class="entity-view-collapse-panel-title flex-fixed-size m-r-10"
              >
                @if (componentData.dashboard) {
                  <span>{{ componentData.dashboard.name }} </span>
                } @else {
                  <span>{{
                    'sqtm-core.generic.label.dashboard.title' | translate
                  }}</span>
                }
              </div>
              <div class="flex-row" style="overflow: hidden">
                @if (componentData.statistics || componentData.dashboard) {
                  <div
                    class="txt-ellipsis m-r-10 m-t-2 generated-label label-color"
                  >
                    {{
                      'sqtm-core.generic.date.prefix.generated-on'
                        | translate
                        | capitalize
                    }}
                    {{ componentData.generatedDashboardOn | date: 'medium' }}
                  </div>
                }
                <button
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.refresh' | translate | capitalize
                  "
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  class="flex-fixed-size"
                  [attr.data-test-refresh-button-id]="'refresh-button'"
                  (click)="refreshStats($event)"
                >
                  <span>
                    <i nz-icon nzType="reload" nzTheme="outline"></i>
                  </span>
                </button>
                @if (!componentData.shouldShowFavoriteDashboard) {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'favorite-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.favorite' | translate
                    "
                    (click)="changeDashboardToDisplay($event, 'dashboard')"
                  >
                    <span>
                      {{ 'sqtm-core.generic.label.favorite' | translate }}
                    </span>
                  </button>
                }
                @if (componentData.shouldShowFavoriteDashboard) {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'favorite-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.default' | translate
                    "
                    (click)="changeDashboardToDisplay($event, 'default')"
                  >
                    {{ 'sqtm-core.generic.label.default' | translate }}
                  </button>
                }
              </div>
            </div>
          </ng-template>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.test-case-workspace.title.information' | translate
              }}
            </div>
          </ng-template>
          <div class="sqtm-core-two-column-information-display">
            <span class="label">{{
              'sqtm-core.entity.generic.status.label' | translate
            }}</span
            ><span>{{
              'sqtm-core.entity.milestone.status.' +
                componentData.milestone.status | translate
            }}</span>
            <span class="label">{{
              'sqtm-core.entity.milestone.term.label' | translate
            }}</span
            ><span>{{
              componentData.milestone.endDate
                | date: 'shortDate' : '' : getBrowserLanguage()
            }}</span>
          </div>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
